/*
 * $Id: model34.cpp 1919 2014-04-22 22:02:01Z johnoel $
 *
 * Author: David Fournier
 * Copyright (c) 2008-2012 Regents of the University of California
 */
#if defined(_WIN32)
  #include <windows.h>
  #include <admodel.h>
#endif

#include <admodel.h>

#if defined (AD_DEMO)
#include <time.h>
double waste_time();

void adwait(double sec)
{
  time_t tt;
  time_t ttold;
  time(&ttold);
  do
  {
    time(&tt);
    if ( (tt-ttold) > sec ) break;
  }
  while(1);
}
#else
void adwait(double sec){;}
#endif
